What version of proxy do you use?